IndexItem
Keywords: javax.help.IndexItem class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class IndexItem

    java.lang.Object
      javax.help.TreeItem
          javax.help.IndexItem

All Implemented Interfaces:
  java.io.Serializable

public class IndexItem
extends TreeItem

A class for individual index items.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.help.TreeItem
`COLLAPSE, DEFAULT_EXPANSION, EXPAND`

Constructor Summary
`IndexItem()` Create a default IndexItem.
`IndexItem(Map.ID id, HelpSet hs, java.util.Locale locale)` Create an IndexItem.
`IndexItem(Map.ID id, java.util.Locale locale)` Create an IndexItem defaulting the HelpSet to that of its ID.

Methods inherited from class javax.help.TreeItem
`getExpansionType, getHelpSet, getID, getLocale, getMergeType, getName, getPresentation, getPresentationName, getURL, setExpansionType, setHelpSet, setID, setMergeType, setName, setPresentation, setPresentationName, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndexItem

    public IndexItem(Map.ID id,
                     HelpSet hs,
                     java.util.Locale locale)

  Create an IndexItem.

Parameters:
  `id` - ID for the item. The ID can be null.
  `hs` - A HelpSet scoping this item.
  `locale` - The locale for this item

### IndexItem

    public IndexItem(Map.ID id,
                     java.util.Locale locale)

  Create an IndexItem defaulting the HelpSet to that of its ID.

Parameters:
  `id` - ID for the item. The ID can be null.
  `locale` - The locale to use for this item.

### IndexItem

    public IndexItem()

  Create a default IndexItem.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD